Unable to update-eix

Sep 21st, 2008 | Filed under problems

Reading Portage settings ..
Building database (/var/cache/eix) ..
[0] “gentoo” /usr/portage/ (cache: metadata-flat)
Reading 50%terminate called after throwing an instance of ‘std::out_of_range’
what(): basic_string::compare

This is a bug in eix which has already been fixed in 0.13.5 version. So all you have to do is to update to that version (it’s still masked).

ACCEPT_KEYWORDS=”~x86″ emerge =eix-0.13.5 -av


In case you want to patch your version by yourself patch is avaible here.

No comments yet.

*
To prove you're a person (not a spam script), type the security word shown in the picture. Click on the picture to hear an audio file of the word.
Anti-spam image